import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'agentStatus'
})
export class AgentStatusPipe implements PipeTransform {

  transform(value: any, ...args: any[]): any {
    if (value) {
      switch (value) {
        case 'CR':
          return 'label.created';
        case 'DP':
          return 'label.deployed';
      }
    }

    return value;
  }

}
